Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeparentnodenull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeparentnodenull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getParentNode()" method invoked on a node that has just been created and not yet added to the tree is null.

Create a new "employee" Element node using the "createElement(name)" method from the Document interface. Since this new node has not yet been added to the tree, the "getParentNode()" method will return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1060184317

Definition at line 45 of file nodeparentnodenull.java.

## Constructor & Destructor Documentation

nodeparentnodenull::nodeparentnodenull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeparentnodenull.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeparentnodenull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 63 of file nodeparentnodenull.java.
    00063                                 {
    00064       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeparentnodenull";
    00065    }

void nodeparentnodenull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 66 of file nodeparentnodenull.java. References DOMTestCase::doMain().
    00066                                           {
    00067         DOMTestCase.doMain(nodeparentnodenull.class,args);
    00068    }

void nodeparentnodenull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeparentnodenull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       Element createdNode;
    00056       Node parentNode;
    00057       doc = load("staff");
    00058       createdNode = doc.createElement("employee");
    00059       parentNode = createdNode.getParentNode();
    00060       assertNull("parentNode",parentNode);
    00061
    00062    }

The documentation for this class was generated from the following file:

- nodeparentnodenull.java